Error Xcode ld: library not found for -lPods-

someone has had this error in Xcode d: library not found for -lPods- install the onesignal plugin and the cocoapods and I want to compile in xcode and I have this error someone can help me,

Ld /Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Products/Debug-iphoneos/visarcontrol.app/visarcontrol normal arm64 (in target: visarcontrol)
cd /Users/rogergutierrez/Documents/apps/vcapp/platforms/ios
export IPHONEOS_DEPLOYMENT_TARGET=10.0
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang -arch arm64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS12.2.sdk -L/Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Products/Debug-iphoneos -F/Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Products/Debug-iphoneos -F/Users/rogergutierrez/Documents/apps/vcapp/platforms/ios/Pods/OneSignal/iOS_SDK/OneSignalSDK/Framework -Fvisarcontrol/Plugins/cordova-plugin-facebook4 -Fvisarcontrol/Plugins/cordova-plugin-facebook4 -Fvisarcontrol/Plugins/cordova-plugin-facebook4 -Fvisarcontrol/Plugins/cordova-plugin-facebook4 -filelist /Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Intermediates.noindex/visarcontrol.build/Debug-iphoneos/visarcontrol.build/Objects-normal/arm64/visarcontrol.LinkFileList -Xlinker -rpath -Xlinker @executable_path/Frameworks -miphoneos-version-min=10.0 -dead_strip -Xlinker -object_path_lto -Xlinker /Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Intermediates.noindex/visarcontrol.build/Debug-iphoneos/visarcontrol.build/Objects-normal/arm64/visarcontrol_lto.o -Xlinker -no_deduplicate -fobjc-arc -fobjc-link-runtime -ObjC -ObjC -framework OneSignal -framework SystemConfiguration -framework UIKit -framework UserNotifications /Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Products/Debug-iphoneos/libCordova.a -framework Bolts -framework FBSDKCoreKit -framework FBSDKLoginKit -framework FBSDKShareKit -framework CoreLocation -framework WebKit -framework SystemConfiguration -weak-lPods-visarcontrol -Xlinker -dependency_info -Xlinker /Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Intermediates.noindex/visarcontrol.build/Debug-iphoneos/visarcontrol.build/Objects-normal/arm64/visarcontrol_dependency_info.dat -o /Users/rogergutierrez/Library/Developer/Xcode/DerivedData/visarcontrol-ddmzbnzurtkiepcuyuaqzbhfwrth/Build/Products/Debug-iphoneos/visarcontrol.app/visarcontrol

ld: library not found for -lPods-
clang: error: linker command failed with exit code 1 (use -v to see invocation)

Unfortunately I come with no answer, only the same issue.

If anyone found a solution to this, I would really appreciate.

What I tried so far, following multiple suggestions online:

sudo gem install cocoapods
then
pod repo update

I rebuilt, still no luck when trying to archive or compile from Xcode (10.1)

Using Cordova-ios 4.4 (knowing there are some issues with 4.5)

1 Like